package verschiebeSpiel;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JMenuItem;

public class ListenerMenu implements ActionListener {
	/** Verbindung zum Elternfenster, benoetigt fr Event-Verarbeitung */
	private Hauptfenster parent;

	/**
	 * Konstruktor der Klasse <code>ListenerMenu</code>
	 * @param parent Verbindung zum Elternfenster vom Typ <code>Hauptfenster</code>
	 */
	ListenerMenu(Hauptfenster parent){
		this.parent = parent;
	}

	/**
	 * Event-Handler fuer das Menue. Folgende Aktionen werden hier durchgefuehrt:<br>
	 * - Umstellen des Look and Feels<br>
	 * @param event Das Ereignis, auf das reagiert werden muss
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		// Beenden
		if (e.getActionCommand().equals(MenuBar.CMD_CLOSEWINDOW)) {
			System.exit(0);
			return;
		}
		
		// Neues Spiel
		if (e.getActionCommand().equals(MenuBar.CMD_NEWGAME)) {
			this.parent.startNewGame();
			return;
		}
		
		// Look and Feel umstellen
		if (e.getActionCommand().contains("swing.")) {
			this.parent.setLookAndFeel(e.getActionCommand());
			return;
		}		
	}

}
