package verschiebeSpiel;

import java.awt.BorderLayout;
import java.awt.Color;

import javax.swing.*;

@SuppressWarnings("serial")
public class Navigator extends JWindow {

	/** Textfeld fr den Punktestand, nicht editierbar */
	JTextField tPunktestand = new JTextField();
	
	/** Button, welcher ein neues Spiel startet. */
	JButton bNewGame = new JButton("Neues Spiel");
	
	/**
	 * Konstruktor der <code>Navigator</code>-Klasse. Erstellt ein Fenster mit
	 * Punktestand und Buttom zum Starten eines neuen Spiels.
	 * 
	 * @param hauptfenster Elternfenster vom Typ <code>JFrame</code>
	 */
	public Navigator(Hauptfenster hauptfenster) {
		super(hauptfenster);
		
		this.tPunktestand.setEditable(false);
		this.bNewGame.addActionListener(new ListenerNewGame());

		JLabel lblPunktestand = new JLabel("Verbrauchte Zuege:");
		lblPunktestand.setOpaque(true);
		lblPunktestand.setVisible(true);
		
		JPanel panelBottom = new JPanel();
		panelBottom.setLayout(new BorderLayout());
		panelBottom.add(lblPunktestand, BorderLayout.NORTH);
		panelBottom.add(this.tPunktestand, BorderLayout.SOUTH);
		
		JPanel rahmen = new JPanel();
		rahmen.setLayout(new BorderLayout());
		rahmen.setBorder(BorderFactory.createLineBorder(Color.gray, 5));

		rahmen.add(panelBottom);
		rahmen.add(this.bNewGame, BorderLayout.SOUTH);
		
		this.getContentPane().add(rahmen);

		this.updateLocation();
		this.setVisible(true);
		this.pack();
	}
	
	/**
	 * Aktualisiert die Position des Fensters, platziert sich rechts vom Hauptfenster
	 */
	public void updateLocation() {
		this.setLocation((int)this.getParent().getLocation().getX() + this.getParent().getWidth() + 20, 
				         (int)this.getParent().getLocation().getY());
	}

	/**
	 * Setzt den angezeigten Punktestand
	 * 
	 * @param points Punktestand
	 */
	public void setPoints(int points) {
		this.tPunktestand.setText(Integer.toString(points));
	}

	
}
