package verschiebeSpiel;

import java.awt.*;
import javax.swing.*;

@SuppressWarnings("serial")
public class Spielfeld extends JPanel {

	ListenerButton listener;
	Logik logik;
	Navigator navigator;
	
	JButton bausteine[] = new JButton[9];
	String[] nummern;
	
	public Spielfeld(Logik logik) {
		this.logik = logik;
	}

	public void zeichneFeld() {
		this.removeAll(); // alte Objekte entfernen

		this.setLayout(new GridLayout(3, 3));

		nummern = logik.getNummern();

		for (int i = 0; i < 9; i++) {
			if (nummern[i].equals("0")) {
				this.add(new JLabel());
			} 
			else {
				bausteine[i] = new JButton(nummern[i]);

				bausteine[i].addActionListener(listener);
				bausteine[i].setActionCommand(nummern[i].toString());

				bausteine[i].setFont(new Font("Arial", Font.BOLD, 16));
				bausteine[i].setForeground(Color.BLACK);

				bausteine[i].setPreferredSize(new Dimension(70, 70));

				this.add(bausteine[i]);
			}

		}
		navigator.setPoints(logik.getZaehler());
		revalidate(); // JPanel aktualisieren
	}

	public void setListener(ListenerButton listener) {
		this.listener = listener;
	}

	public void setNavigator(Navigator navigator) {
		this.navigator = navigator;
	}
}